Bug 784657 - Review Request: python-mozbase - the Mozilla suite of Python utilities
Summary: Review Request: python-mozbase - the Mozilla suite of Python utilities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 786093
TreeView+ depends on / blocked
 
Reported: 2012-01-25 17:30 UTC by Karel Klíč
Modified: 2015-02-01 22:55 UTC (History)
7 users (show)

Fixed In Version: python-mozbase-0-0.3.gitb077641.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-15 19:55:37 UTC
jmoskovc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Karel Klíč 2012-01-25 17:30:59 UTC
Spec URL: http://kklic.fedorapeople.org/python-mozbase.spec
SRPM URL: http://kklic.fedorapeople.org/python-mozbase-0-0.1.gitb077641.fc16.src.rpm
Description: 
Mozbase is the Mozilla suite of Python utilities.

python-manifestdestiny: Universal manifests for Mozilla test harnesses
python-mozdevice: Mozilla-authored device management
python-mozhttpd: Basic Python webserver
python-mozinfo: Interface to transform introspected system information to a format pallatable to Mozilla
python-mozinstall: A utility package for installing Mozilla applications on various platforms
python-mozlog: Robust log handling specialized for logging in the Mozilla universe
python-mozprocess: Mozilla-authored process handling
python-mozprofile: Handling of Mozilla XUL app profiles
python-mozrunner: Reliable start/stop/configuration of Mozilla Applications (Firefox, Thunderbird)

Comment 1 Karel Klíč 2012-01-30 12:37:45 UTC
rpmlint python-mozprocess-0-0.1.gitb077641.fc17.noarch.rpm

python-mozprocess.noarch: W: spelling-error %description -l en_US subprocess -> sub process, sub-process, processors
python-mozprocess.noarch: W: spelling-error %description -l en_US Popen -> Pope, Open, P open
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-mozinfo-0-0.1.gitb077641.fc17.noarch.rpm

python-mozinfo.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-mozinfo.noarch: W: no-manual-page-for-binary mozinfo
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-mozbase-0-0.1.gitb077641.fc17.src.rpm

python-mozbase.src: W: invalid-url Source0: mozilla-mozbase-mozilla-central-25-gb077641.zip
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-mozdevice-0-0.1.gitb077641.fc17.noarch.rpm

python-mozdevice.noarch: W: spelling-error %description -l en_US adb -> dab, adv, ad
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-mozprofile-0-0.1.gitb077641.fc17.noarch.rpm

python-mozprofile.noarch: W: spelling-error %description -l en_US addons -> ad dons, ad-dons, adorns
python-mozprofile.noarch: W: no-manual-page-for-binary mozprofile
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-mozinstall-0-0.1.gitb077641.fc17.noarch.rpm

python-mozinstall.noarch: W: spelling-error %description -l en_US exe -> ex, exes, exec
python-mozinstall.noarch: W: spelling-error %description -l en_US dmg -> mg, deg, dig
python-mozinstall.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mozinstall/mozinstall.py 0644L /usr/bin/env
python-mozinstall.noarch: W: no-manual-page-for-binary mozinstall
1 packages and 0 specfiles checked; 1 errors, 3 warnings.


rpmlint python-mozhttpd-0-0.1.gitb077641.fc17.noarch.rpm

python-mozhttpd.noarch: W: spelling-error Summary(en_US) webserver -> web server, web-server, observer
python-mozhttpd.noarch: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
python-mozhttpd.noarch: W: no-manual-page-for-binary mozhttpd
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-mozbase-0-0.1.gitb077641.fc17.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-manifestdestiny-0-0.1.gitb077641.fc17.noarch.rpm

python-manifestdestiny.noarch: W: no-manual-page-for-binary manifestparser
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Spelling errors are false positives.
The missing manual pages should be solved later.

Comment 2 Karel Klíč 2012-01-31 13:00:07 UTC
Spec URL: http://kklic.fedorapeople.org/python-mozbase.spec
SRPM URL: http://kklic.fedorapeople.org/python-mozbase-0-0.2.gitb077641.fc16.src.rpm

* Tue Jan 31 2012 Karel Klíč <kklic@redhat.com> - 0-0.2.gitb077641
- Added patch firefox-version to fix the browser version check on Linux

Comment 3 Jiri Moskovcak 2012-02-21 12:07:52 UTC
- can't build it in koji:

Searching for mozinfo
Reading http://pypi.python.org/simple/mozinfo/
Download error on http://pypi.python.org/simple/mozinfo/: [Errno -2] Name or service not known -- Some packages may not be found!
Reading http://pypi.python.org/simple/mozinfo/
Download error on http://pypi.python.org/simple/mozinfo/: [Errno -2] Name or service not known -- Some packages may not be found!
Scanning index of all packages (this may take a while)
Reading http://pypi.python.org/simple/
Couldn't find index page for 'mozinfo' (maybe misspelled?)
Download error on http://pypi.python.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
No local packages or download links found for mozinfo
error: Could not find suitable distribution for Requirement.parse('mozinfo')
error: Bad exit status from /var/tmp/rpm-tmp.SEwFLU (%check)
    Bad exit status from /var/tmp/rpm-tmp.SEwFLU (%check)
RPM build errors:
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps builddir/build/SPECS/python-mozbase.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mockbuild/util.py", line 352, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps builddir/build/SPECS/python-mozbase.spec']
LEAVE do --> EXCEPTION RAISED

- full report: http://koji.fedoraproject.org/koji/getfile?taskID=3807028&name=build.log&offset=-4000

Comment 4 Karel Klíč 2012-02-27 12:12:03 UTC
Spec URL: http://kklic.fedorapeople.org/python-mozbase.spec
SRPM URL: http://kklic.fedorapeople.org/python-mozbase-0-0.3.gitb077641
.fc16.src.rpm

* Mon Feb 27 2012 Karel Klíč <kklic@redhat.com> - 0-0.3.gitb077641
- Setup check to use libraries from the build root

Comment 5 Jiri Moskovcak 2012-02-28 15:13:37 UTC
OK: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
-  W: invalid-url Source0: mozilla-mozbase-mozilla-central-25-gb077641.zip - it's a git snapshot, url is provided in comment
OK: The package must be named according to the Package Naming Guidelines
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
N/A: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
N/A: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK: Packages must NOT bundle copies of system libraries.[11]
N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
OK: Each package must consistently use macros. [16]
OK: The package must contain code, or permissable content. [17]
N/A: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
N/A: Static libraries must be in a -static package. [19]
N/A: Development files must be in a -devel package. [20]
N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
OK: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
N/A: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK: All filenames in rpm packages must be valid UTF-8.

= SHOULD =
- package doesn't contain the licence file
- man pages are missing

Comment 6 Karel Klíč 2012-02-28 15:21:12 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: python-mozbase
Short Description: The Mozilla suite of Python utilities
Owners: kklic
Branches: f16 f17 el6
InitialCC:

Comment 7 Gwyn Ciesla 2012-02-28 15:32:28 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-02-28 17:05:14 UTC
python-mozbase-0-0.3.gitb077641.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-mozbase-0-0.3.gitb077641.fc16

Comment 9 Fedora Update System 2012-02-28 17:05:24 UTC
python-mozbase-0-0.3.gitb077641.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-mozbase-0-0.3.gitb077641.fc17

Comment 10 Fedora Update System 2012-02-28 17:05:34 UTC
python-mozbase-0-0.3.gitb077641.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-mozbase-0-0.3.gitb077641.el6

Comment 11 Fedora Update System 2012-02-28 20:41:02 UTC
python-mozbase-0-0.3.gitb077641.fc17 has been pushed to the Fedora 17 testing repository.

Comment 12 Fedora Update System 2012-03-15 19:55:37 UTC
python-mozbase-0-0.3.gitb077641.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2012-03-16 21:14:50 UTC
python-mozbase-0-0.3.gitb077641.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2012-03-17 23:49:22 UTC
python-mozbase-0-0.3.gitb077641.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.